package ornek;

import java.util.Calendar;

import tr.gov.tubitak.uekae.esya.api.asn.x509.ECertificate;
import tr.gov.tubitak.uekae.esya.api.certificate.validation.CertificateValidation;
import tr.gov.tubitak.uekae.esya.api.certificate.validation.ValidationSystem;
import tr.gov.tubitak.uekae.esya.api.certificate.validation.check.certificate.CertificateStatusInfo;
import tr.gov.tubitak.uekae.esya.api.certificate.validation.policy.PolicyReader;
import tr.gov.tubitak.uekae.esya.api.certificate.validation.policy.ValidationPolicy;
import tr.gov.tubitak.uekae.esya.api.smartcard.pkcs11.CardType;
import tr.gov.tubitak.uekae.esya.api.smartcard.pkcs11.SmartCard;

public class CertificateValidationSample {

	public static ECertificate readCertFromSC() throws Exception {
		SmartCardManager.useAPDU(true);
		SmartCardManager scm = SmartCardManager.getInstance();
		
		return scm.getSignatureCertificate(true, false);
	}
	
	
	public static void main(String[] args) throws Exception {
		
		ValidationPolicy policy = PolicyReader.readValidationPolicy("certval-policy-test.xml");
		ValidationSystem vs = 	CertificateValidation.createValidationSystem(policy);

		ECertificate cert = readCertFromSC();
		vs.setBaseValidationTime(Calendar.getInstance());
		
		CertificateStatusInfo csi = CertificateValidation.validateCertificate(vs, cert);
		System.out.println(csi.checkResultsToString());
	}
	
}
