package ornek;

import java.io.File;
import java.io.FileOutputStream;

import tr.gov.tubitak.uekae.esya.api.asn.x509.ECertificate;
import tr.gov.tubitak.uekae.esya.api.common.crypto.BaseSigner;
import tr.gov.tubitak.uekae.esya.api.xmlsignature.Context;
import tr.gov.tubitak.uekae.esya.api.xmlsignature.XMLSignature;

public class SignERecete {

	public static void main(String[] args) throws Exception {
		
		SmartCardManager smc = SmartCardManager.getInstance();
		ECertificate signingCert = smc.getSignatureCertificate(true, false);
		BaseSigner smartCardSigner = smc.getSigner("123456", signingCert);
		
		Context context = new Context(new File("."));
		XMLSignature signature = new XMLSignature(context);
		signature.addDocument("./calistay/imza/eRecete.xml", null, true);
		signature.addKeyInfo(signingCert);
		signature.sign(smartCardSigner);
		
		signature.write(new FileOutputStream("./calistay/imza/signed.xml"));
		
		smc.logout();
	}
}
